Summary: ftp with AUTH TLS support.
Name: ftp-tls
Version: 20000920
Release: 1
Copyright: BSD
Packager: Peter 'Luna' Runestig <peter@runestig.com>
Group: Applications/Internet
Source: ftp://ftp.runestig.com/pub/ftp-tls/ftp-tls.%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/ftp-tls-root
Requires: openssl-appl

%description
ftp-tls is a ftp client that supports TLS authentication and encryption (by the
means of the OpenSSL toolkit).
The base ftp client code is from OpenBSD 2.7. Porting to Linux and TLS
implementation by Peter 'Luna' Runestig <peter@runestig.com>.

%prep
# you must have statically linked OpenSSL installed in `/usr/local/ssl'
%setup -q -n ftp-tls
./configure --with-openssl-dir=/usr/local/ssl

%build
make LDSTATIC=-static

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/local/bin/ftp
mkdir -p $RPM_BUILD_ROOT/usr/local/ssl/{certs,private}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/bin/ftp
/usr/local/man/man1/ftp.1
/usr/local/man/man5/editrc.5
/usr/local/ssl
