Name		: ftp-tls
Version		: 20031008
Release		: pr1
Group		: System/Network
Requires	: openssl
BuildRequires	: openssl-devel
#Conflicts	: ftp
License		: GPL and BSD
Packager	: Peter 'Luna' Runestig <peter@runestig.com>
URL		: ftp://ftp.runestig.com/pub/ftp-tls/
Summary		: ftp client with SSL/TLS support.
BuildRoot	: /var/tmp/%{name}-%{version}

Source0: ftp://ftp.runestig.com/pub/ftp-tls/ftp-tls-%{version}.tar.gz


%Description
ftp with SSL/TLS support.


%Prep
%setup -n ftp-tls-%{version}


%Build
./configure --prefix=/usr --mandir=%{_mandir} --enable-tls_zlib

make


%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install ftp $RPM_BUILD_ROOT/usr/bin/ftp-tls

%Clean
rm -rf $RPM_BUILD_ROOT


%Files
%defattr(-,root,root)
%doc README.TLS draft-murray-auth-ftp-ssl-??.txt
/usr/bin/ftp-tls

%ChangeLog
* Fri Jul 18 2003 Dr. Peter Bieringer <pbieringer at aerasec dot de>
- Update version number
- Fix some wrong RPM values
- Rename real life binary to "ftp-tls"
- Replace 'make install' with dedicated install call
- Remove conflict to let the package live beneath standard ftp

* Tue Nov 27 2001 Peter 'Luna' Runestig <peter@runestig.com>
- Created the whole thing, based on my earlier Caldera package. We don't like
  Caldera anymore, since their kernel config is braindamage...
